## org.apache.hadoop.examples
Class WordCount.IntSumReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<Text,IntWritable,Text,IntWritable>
          org.apache.hadoop.examples.WordCount.IntSumReducer

Enclosing class:
  WordCount

    public static class WordCount.IntSumReducer

extends Reducer<Text,IntWritable,Text,IntWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`Reducer.Context`

Constructor Summary
`WordCount.IntSumReducer()`

Method Summary
`void` `reduce(Text key, Iterable<IntWritable> values, Reducer.Context context)` This method is called once for each key.

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WordCount.IntSumReducer

    public WordCount.IntSumReducer()

Method Detail

### reduce

    public void reduce(Text key,
                       Iterable<IntWritable> values,
                       Reducer.Context context)
                throws IOException,
                       InterruptedException

  Description copied from class: `Reducer`
  This method is called once for each key. Most applications will define their reduce class by overriding this method. The default implementation is an identity function.

  Overrides:
    `reduce` in class `Reducer<Text,IntWritable,Text,IntWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2009 The Apache Software Foundation